org.apache.cassandra.cql3.statements

## Class SingleColumnRestriction.InWithMarker

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.InWithMarker

All Implemented Interfaces:
  Restriction, Restriction.IN

Direct Known Subclasses:
  MultiColumnRestriction.InWithMarker

Enclosing class:
  SingleColumnRestriction

    public static class SingleColumnRestriction.InWithMarker
    extends SingleColumnRestriction
    implements Restriction.IN

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Field Summary

Fields
`protected AbstractMarker` `marker`

### Constructor Summary

Constructors
Constructor and Description
`SingleColumnRestriction.InWithMarker(AbstractMarker marker)`

### Method Summary

Methods
`boolean` `canHaveOnlyOneValue()`
`boolean` `isContains()`
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isOnToken()`
`boolean` `isSlice()`
`java.lang.String` `toString()`
`java.util.List<java.nio.ByteBuffer>` `values(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`isMultiColumn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isMultiColumn`

### Field Detail

#### marker

    protected final AbstractMarker marker

### Constructor Detail

#### SingleColumnRestriction.InWithMarker

    public SingleColumnRestriction.InWithMarker(AbstractMarker marker)

### Method Detail

#### values

    public java.util.List<java.nio.ByteBuffer> values(QueryOptions options)
                                               throws InvalidRequestException

Specified by:
  `values` in interface `Restriction`
Throws:
  `InvalidRequestException`

#### canHaveOnlyOneValue

    public boolean canHaveOnlyOneValue()

Specified by:
  `canHaveOnlyOneValue` in interface `Restriction.IN`

#### isSlice

    public boolean isSlice()

Specified by:
  `isSlice` in interface `Restriction`

#### isEQ

    public boolean isEQ()

Specified by:
  `isEQ` in interface `Restriction`

#### isIN

    public boolean isIN()

Specified by:
  `isIN` in interface `Restriction`

#### isContains

    public boolean isContains()

Specified by:
  `isContains` in interface `Restriction`

#### isOnToken

    public boolean isOnToken()

Specified by:
  `isOnToken` in interface `Restriction`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`